Bug 861265 - Error in Nova Compute Section Endpoint Creation Syntax
Error in Nova Compute Section Endpoint Creation Syntax
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: doc-Getting_Started_Guide (Show other bugs)
1.0 (Essex)
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Bruce Reeler
Martin Pavlásek
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-27 21:55 EDT by james labocki
Modified: 2014-10-30 18:28 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-11 02:58:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description james labocki 2012-09-27 21:55:23 EDT
Chapter 4 (Nova Compute) states that endpoint creation should use the following syntax. Instead of %, it should be $.

https://access.redhat.com/knowledge/docs/en-US/Red_Hat_OpenStack_Preview/1/html-single/Getting_Started_Guide/index.html


$ . ~/keystonerc_admin
$ keystone service-create --name=volume --type=volume --description="Nova Volume Service"
+-------------+----------------------------------+
|   Property  |              Value               |
+-------------+----------------------------------+
| description | Nova Volume Service              |
| id          | 9347a8dc271c44da9f9991b5c70a6361 |
| name        | volume                           |
| type        | volume                           |
+-------------+----------------------------------+
$ keystone endpoint-create --service_id 9347a8dc271c44da9f9991b5c70a6361 \
  --publicurl 'http://127.0.0.1:8776/v1/%(tenant_id)s' \
  --internalurl 'http://127.0.0.1:8776/v1/%(tenant_id)s' \
  --adminurl 'http://127.0.0.1:8776/v1/%(tenant_id)s'
+-------------+----------------------------------------+
|   Property  |                 Value                  |
+-------------+----------------------------------------+
| adminurl    | http://127.0.0.1:8776/v1/%(tenant_id)s |
| id          | b2a128758a274b09bb09337b99faa42a       |
| internalurl | http://127.0.0.1:8776/v1/%(tenant_id)s |
| publicurl   | http://127.0.0.1:8776/v1/%(tenant_id)s |
| region      | regionOne                              |
| service_id  | 9347a8dc271c44da9f9991b5c70a6361       |
+-------------+----------------------------------------+
Comment 2 Bruce Reeler 2012-10-04 07:58:09 EDT
Fixed. % replaced with $ as above.
Comment 4 Martin Pavlásek 2013-03-26 05:17:43 EDT
The issue has been fixed via revision 3.1-4 of the document as same as in Folsom.

Note You need to log in before you can comment on or make changes to this bug.